
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>

I'm reverting the compile-time fixes to replace them with a bigger change,
which also happens to fix the compilation problem.  The change is in next
patches.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/process.c |   13 -------------
 1 files changed, 13 deletions(-)

diff -puN arch/um/kernel/process.c~uml-revert-compile-only-changes-for-other-ones arch/um/kernel/process.c
--- 25/arch/um/kernel/process.c~uml-revert-compile-only-changes-for-other-ones	2004-11-03 19:27:58.120954768 -0800
+++ 25-akpm/arch/um/kernel/process.c	2004-11-03 19:27:58.124954160 -0800
@@ -202,11 +202,6 @@ __uml_setup("nosysemu", nosysemu_cmd_par
 		"    To make it working, you need a kernel patch for your host, too.\n"
 		"    See http://perso.wanadoo.fr/laurent.vivier/UML/ for further information.\n");
 
-/* Ugly hack for now... --cw */
-#ifndef PTRACE_SYSEMU
-#define PTRACE_SYSEMU 31
-#endif
-
 static void __init check_sysemu(void)
 {
 	void *stack;
@@ -216,9 +211,7 @@ static void __init check_sysemu(void)
 		return;
 
 	printk("Checking syscall emulation patch for ptrace...");
-#ifdef CONFIG_MODE_SKAS
 	sysemu_supported = 0;
-#endif /* CONFIG_MODE_SKAS */
 	pid = start_ptraced_child(&stack);
 	if(ptrace(PTRACE_SYSEMU, pid, 0, 0) >= 0) {
 		struct user_regs_struct regs;
@@ -240,23 +233,17 @@ static void __init check_sysemu(void)
 
 		stop_ptraced_child(pid, stack, 0);
 
-#ifdef CONFIG_MODE_SKAS
 		sysemu_supported = 1;
-#endif /* CONFIG_MODE_SKAS */
 		printk("found\n");
 	}
 	else
 	{
 		stop_ptraced_child(pid, stack, 1);
-#ifdef CONFIG_MODE_SKAS
 		sysemu_supported = 0;
-#endif /* CONFIG_MODE_SKAS */
 		printk("missing\n");
 	}
 
-#ifdef CONFIG_MODE_SKAS
 	set_using_sysemu(!force_sysemu_disabled);
-#endif
 }
 
 void __init check_ptrace(void)
_
